| GL Studio C++ Runtime API

Public Member Functions | Static Public Member Functions | List of all members
DDSImageLoader Class Reference

`#include <ddsimage.h>`

Inheritance diagram for DDSImageLoader:

## Public Member Functions
const char * | FilterDescription () override
const char * | FilterString () override
const char * | Description () override
const char * | Version () override
const char * | GenerateHeader () override
const char * | GenerateDeclaration () override
bool | SupportsExtension (const char *ext) override
bool | IsFileType (const char *filename) override
virtual Image * | LoadTexture (const char *filename, const Image::LoadOptions &options, bool allowNPOT=true) override
virtual void | Destroy ()
| Do nothing since this is a singleton. More...
Public Member Functions inherited from TextureLoader
virtual const char * | FilterString ()=0
virtual const char * | FilterDescription ()=0
virtual const char * | GenerateHeader ()=0
virtual const char * | GenerateDeclaration ()=0
virtual const char * | PluginType ()
virtual bool | IsFileType (const char *filename)=0
virtual bool | SupportsExtension (const char *ext)=0
virtual Image * | LoadTexture (const char *filename, const Image::LoadOptions &options, bool allowNPOT=true)=0
void | AddToList (TextureLoaderList *list=TextureLoaderList::Instance())
Public Member Functions inherited from Plugin
virtual | ~Plugin ()
| For Polymorphic deletion.
virtual const char * | Description ()=0
virtual const char * | Version ()=0
virtual const char * | PluginType ()=0
virtual const char * | PluginDataName ()
virtual void | WritePluginData (DistiAttributePluginData *)
virtual void | ReadPluginData (DistiAttributePluginData *)
virtual void | ResetPluginData ()
bool | IsPluginType (const char *str)
virtual void | Destroy ()=0
| Allows plugin to handle destruction of its own data. More...

## Static Public Member Functions
static DDSImageLoader * | Instance ()

## Detailed Description

The DDSImageLoader class. Implements loading DDS image files.

## Member Function Documentation

## ◆ Description()

const char * Description | ( |  | ) |
| override virtual

Returns
  A description string used for informational display by the plugin GUI

Implements Plugin.

## ◆ Destroy()

virtual void Destroy | ( |  | ) |
| inline virtual

Do nothing since this is a singleton.

Implements Plugin.

## ◆ FilterDescription()

const char * FilterDescription | ( |  | ) |
| override virtual

Returns
  A filter string description that is used by the windows FileBrowser to build the list of files to display in the browser

Implements TextureLoader.

## ◆ FilterString()

const char * FilterString | ( |  | ) |
| override virtual

Returns
  A filter string that is used by the windows FileBrowser to build the list of files to display in the browser

Implements TextureLoader.

## ◆ GenerateDeclaration()

const char * GenerateDeclaration | ( |  | ) |
| override virtual

Returns
  The string to be generated to generate an instance of this object

Implements TextureLoader.

## ◆ GenerateHeader()

const char * GenerateHeader | ( |  | ) |
| override virtual

Returns
  The name of the header file to include when generating code for this plugin

Implements TextureLoader.

## ◆ Instance()

static DDSImageLoader * Instance | ( |  | ) |
| static

Returns
  A pointer to the DDSImageLoader singleton.

## ◆ IsFileType()

bool IsFileType | ( | const char * | filename | ) |
| override virtual

Returns
  TRUE if the file pointer appears to contain an image that can be loaded by this class. This method must close the file if it returns TRUE. It must rewind the file if it returns FALSE.

Parameters

  filename | The file name to check.

Implements TextureLoader.

## ◆ LoadTexture()

virtual Image * LoadTexture | ( | const char * | filename,
|  | const Image::LoadOptions & | options,
|  | bool | allowNPOT = `true`
| ) |  |
| override virtual

Load the specified texture file. Try all loaders to see if any of them support the given file type.

Parameters

  filename | The file to load the image from
  options | Options to load the image with
  allowNPOT | If the image is allowed to be non-power of two (NPOT)

Returns
  NULL if the file type isn't supported or if loading fails

Implements TextureLoader.

## ◆ SupportsExtension()

bool SupportsExtension | ( | const char * | ext | ) |
| override virtual

Returns
  TRUE if the class can load files with the given extension.

Parameters

  ext | The file extension to check.

Implements TextureLoader.

## ◆ Version()

const char * Version | ( |  | ) |
| override virtual

Returns
  A version string used for informational display by the plugin GUI

Implements Plugin.

The documentation for this class was generated from the following file:

- ddsimage.h